Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst.messaging
Class ParticipantProcessorImpl

    java.lang.Object
      com.arjuna.webservices.wsat.processors.ParticipantProcessor
          com.arjuna.wst.messaging.ParticipantProcessorImpl

public class ParticipantProcessorImpl
extends com.arjuna.webservices.wsat.processors.ParticipantProcessor

The Participant processor.

Author:
  kevin

Constructor Summary
`ParticipantProcessorImpl()`

Method Summary
`void` | `activateParticipant(com.arjuna.webservices.wsat.ParticipantInboundEvents participant, java.lang.String identifier)` Activate the participant.
`void` | `commit(com.arjuna.webservices.wsat.NotificationType commit, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Commit.
`void` | `deactivateParticipant(com.arjuna.webservices.wsat.ParticipantInboundEvents participant)` Deactivate the participant.
`void` | `prepare(com.arjuna.webservices.wsat.NotificationType prepare, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Prepare.
`void` | `rollback(com.arjuna.webservices.wsat.NotificationType rollback, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` Rollback.
`void` | `soapFault(com.arjuna.webservices.SoapFault fault, com.arjuna.webservices.wsaddr.AddressingContext addressingContext, com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)` SOAP Fault.

Methods inherited from class com.arjuna.webservices.wsat.processors.ParticipantProcessor
`getProcessor, setProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticipantProcessorImpl

    public ParticipantProcessorImpl()

Method Detail

### activateParticipant

    public void activateParticipant(com.arjuna.webservices.wsat.ParticipantInboundEvents participant,
                                    java.lang.String identifier)

  Activate the participant.

  Parameters:
    `participant` - The participant.
    `identifier` - The identifier.

### deactivateParticipant

    public void deactivateParticipant(com.arjuna.webservices.wsat.ParticipantInboundEvents participant)

  Deactivate the participant.

  Parameters:
    `participant` - The participant.

### commit

    public void commit(com.arjuna.webservices.wsat.NotificationType commit,
                       com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                       com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Commit.

  Parameters:
    `commit` - The commit notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### prepare

    public void prepare(com.arjuna.webservices.wsat.NotificationType prepare,
                        com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                        com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Prepare.

  Parameters:
    `prepare` - The prepare notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### rollback

    public void rollback(com.arjuna.webservices.wsat.NotificationType rollback,
                         com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                         com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  Rollback.

  Parameters:
    `rollback` - The rollback notification.
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

### soapFault

    public void soapFault(com.arjuna.webservices.SoapFault fault,
                          com.arjuna.webservices.wsaddr.AddressingContext addressingContext,
                          com.arjuna.webservices.wsarj.ArjunaContext arjunaContext)

  SOAP Fault.

  Parameters:
    `addressingContext` - The addressing context.
    `arjunaContext` - The arjuna context.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD